
// cubemapped water
textures/wtest1/wtest1_water
{
	qer_editorimage env/cube03_ny.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 25
	cull none

	//deformVertexes wave <div> <func> <base> <amplitude> <phase> <freq>
	tesssize 64
	deformVertexes wave 64 sin 1 1 0.25 0.6 

	//for 3d cards supporting cubemaps
	if textureCubeMap
	{
		cubemap env/wtest1water

		//one possible blendfunc
		//blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR	//shines. Brights underwater

		//another one
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen constant 0.4	//alpha graduated blend
		
		tcMod turb 0.6 0.5 0.5 0.5	//texture 'waves'
	}
	endif

	//this is the first water pass from the wtest1_water shader
	{ 
			map textures/wtest1/water2.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .25
			tcmod scroll .02 .01
	}

	//the second water pass from the old wtest1_water shader
	
	if ! textureCubeMap //for 3d cards not supporting cubemaps
	{ 
			map textures/wtest1/water1.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.25 -.25
			tcmod scroll .02 .02
	}
	endif

	//the last pass from wtest1_water shader
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

// cubemapped water
textures/wtest1/colormadness_water
{
	qer_editorimage env/cube03_ny.tga
	q3map_globaltexture
	qer_trans .75
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	q3map_surfacelight 25
	cull disable

	//deformVertexes wave <div> <func> <base> <amplitude> <phase> <freq>
	tesssize 64
	deformVertexes wave 64 sin 1 1 0.25 0.6 
	
	//for 3d cards supporting cubemaps
	if textureCubeMap
	{
		cubemap env/unbalanced
		//blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		blendFunc GL_SRC_COLOR GL_ONE_MINUS_SRC_COLOR
		rgbgen identity
		//tcMod turb <base> <amplitude> <phase> <freq>
		tcMod turb 0.6 0.5 0.5 0.5	//texture 'waves'
	}

	//now for 3d cards not supporting cubemaps (older than gf2)
	if ! textureCubeMap
	{
		map textures/wtest1/water1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
		rgbgen identity
		rgbGen const ( 0.627451 0.627451 0.627451 )
		//tcMod turb <base> <amplitude> <phase> <freq>
		tcMod turb 0.08 0.1 0.1 0.1	//texture 'waves'
		tcMod scroll 0.05 0.04
	}
	endif

	endif
	{
		map *white
		rgbgen vertex
		blendFunc filter
	}
}


